
function ES = EkvSulk(M);
%ekvivalenssisulkeuma: function ES = EkvSulk(M);
%	miss
%	M = relaation nelimuotoinen 0-1-matriisi
%	Muodostaa relaation ekvivalenssisulkeuman matriisin.
%	Kytt: ReflSulk, SymmSulk, TrSulk

%	Martti E. Pesonen 7.2.1991 ja 26.9.2000 ja 27.10.2004

ES = TrSulk(SymmSulk(ReflSulk(logical(M))));	% refl., symm. ja transit. sulkeuma

