
function J = JarjKo(M, tulostus);
% jrjestysominaisuus: function J = JarjKo(M, tulostus);
%	miss 
%	M	 = relaation nelimuotoinen 0-1-matriisi
%	tulostus = optionaalinen, esim. merkkijono tyhje ' '
%		   jos esiintyy, tulostetaan mys tekstin.
% Tarkastaa, onko matriisin M edustama relaatio osittainen jrjestys.
% Palauttaa arvon 1, jos on osittainen jrjestys,
%   		arvon 0, muutoin.
% 20.2. 1991 ja 26.10.2004

M = logical(M);
R = ReflKo(M);
A = AntisKo(M);
T = TransKo(M);
J = R & A & T;
if (nargin > 1)
    if R, disp('refleksiivinen'); end;
    if A, disp('antisymmetrinen'); end;
	if T, disp('transitiivinen'); end;
    if J, disp('OSITTAINEN JRJESTYS'); end;
end;
