
function PiirSilm( M, alkio, vari);
%piirtofunktioita 1:	function PiirSilm( M, alkio, vari);
%	miss
%	M	= relaation nelimuotoinen 0-1-matriisi
%	alkio	= alkion numero
%	vari	= optionaalinen, piirtovri, 
%			oletusarvo '-r' = punainen viiva
%	Piirt silmukan alkiota sivuavaksi ympyrksi.
%	Relaation tulee olla mritelty jossakin joukossa  X x X. 

% Martti E. Pesonen 25.5.1991  17.9.2000 ja 26.10.2004

M = logical(M);
oletusvari = '-r'; ympsade = 1; smaxsade = 0.1*ympsade; jako = 10;
if (nargin < 3)  vari = oletusvari;  end
n	= max(size(M));
kulma	= (alkio-1)*(2*pi)/n + pi/2;
x	= ympsade*cos(kulma);			% x-koordinaatti
y	= ympsade*sin(kulma);			% y-koordinaatti
kp	= [x; y] * (1 + smaxsade/ympsade);
kkulmat	= (0:jako)'*(2*pi/jako);
dimkk = size(kkulmat);
plot( cos(kkulmat)*smaxsade + ones(dimkk)*kp(1,:),...
      sin(kkulmat)*smaxsade + ones(dimkk)*kp(2,:), vari)
