
function L = PoisNuo1(M, alkiopari, uusi);
%poisto ja piirto 1:	function L = PoisNuo1(M, alkiopari, uusi);
%	miss
%	M		= relaation nelimuotoinen 0-1-matriisi
%	alkiopari	= alkiopari muodossa [i j]
%	uusi		= optionaalinen, 
%			jos esiintyy, piirretn relaatio uusiksi
%	Poistaa alkioparin nuolen matriisista L ja piirt nuolen i -> j mustaksi.
%	Relaation tulee olla mritelty jossakin joukossa  X x X. 
%	Jos relaatio on mritelty joukossa X x Y, kyt funktiota 'PoisNuo2'.

%	Martti E. Pesonen 17.9.2000 ja 15.11.2004

L = M;
a = alkiopari(1); b = alkiopari(2);
if (L(a,b) ~= 0),
   L(a,b) = 0;
   if (nargin < 3),
      if (a == b), piirsilm(M,a,'-k'); 
      else
         PiirNuo1(M,alkiopari,'-k');
      end;
   else
      piirrel1(L);
   end;  
end;   
