function S = Suurin(M, tulostus);
% function S = Suurin(M, tulostus);
%	miss
%	M	= relaation matriisi
%   tulostus = optionaalinen, esim. ''
%       Tulostaa vastauksen tekstin.
% Osittaiselle jrjestysrelaatiolle.
% Etsii suurimman alkion P
% Jos ei ole, palauttaa tyhjn matriisin.
% Kytt: JarjKo
% 15.11.2004

M = logical(M'); % knnetn jrjestys
S = [];
if JarjKo(M)
    M = M - diag(diag(M));
    MAKSIMAALISET  =  find(~any(M));  % ne joita suurempia ei ole
    if all(size(MAKSIMAALISET) == [1 1])
        S = MAKSIMAALISET;
    end
    if (nargin == 2)
        if ~isempty(S)
        disp(['Suurin alkio on ', int2str(S),'.'])
         else
        disp('Suurinta alkiota ei ole.')
        end
    end
else
  if (nargin == 2) disp('Ei ole jrjestysrelaatio.'); end
end