function TS = TrSulk2(M);
%transitiivinen sulkeuma:	function TS = TrSulk2(M);
%	miss
%	M = relaation nelimuotoinen 0-1-matriisi
%	Laskee relaation transitiivisen sulkeuman matriisin kytten kaavaa
%	TS = M + M^2 + M^3 + .. + M^n (tai melkein)
%	Vrt. TrSulk.m, joka on nopeampi.

%	Martti E. Pesonen 25.5.1991 ja 26.9.2000 ja 27.10.2004

[m,n] = size(M);
if (m == n)
    M = double(M);      % matriisi numeeriseksi
    I = eye(n);         % yksikkmatriisi
    TS = M;             % alustus, suoraan M
    for i = 1:(n-1)     % periaatteessa TS = M + M^2 + M^3 + .. + M^n,
    TS = sign(M * (I + TS));  % mutta lasketaan vhn nopeammalla tavalla
    end                 % TS = M(I+M(I+M(...M(I+M)))
    TS = logical(TS);      % positiiviset tosiksi
else disp('relaation matriisin pit tss olla nxn')
end;