
function M = K( vektori);
%tydellinen verkko:	function M = K( vektori);
%	miss
%	vektori = luku tai lukupari, esim. 3 tai [3 3]
%	Tydellinen, yksinkertainen (p,q)-osainen suuntaamaton verkko, esim. 
%	K(3) tai K(3,3).
 
%	Martti E. Pesonen 30.2.1991 ja 9.10.2000

pit = max(size(vektori));
if (pit == 1)
   n = vektori;
   M = ones(n) - eye(n);
end
if (pit == 2)
	p = vektori(1); q = vektori(2); n = p + q;	
	M = ones(n);
	M(1:p, 1:p) = zeros(p);
	M((p+1:n),(p+1):n) = zeros(n-p);
end
