
function NSTONSV = NSatVerk( n, kerroin);
%satunnaisverkon arvonta (normaali): function NSTONSV = NSatVerk( n, kerroin);
%	miss
%	n	= verkon solmujen mr
%	kerroin	= optionaalinen, jos esiintyy, kuvaa rinnakkaisten 
%		kaarten mr; oletusarvo = 1
%	Muodostaa suuntaamattoman satunnaisverkon NSTONSV.
%	Arpoo satunnaisen normaalijakautuneen verkon (n x n)-matriisin ja
%	symmetrisoi sen.

%	Martti E. Pesonen 25.5.1991 ja 25.9.2000

%rand('normal');
if (nargin == 1), kerroin = 1; end
SV = round(kerroin * abs(randn(n)));
NSTONSV = tril(SV) + (tril(SV))' - diag(diag(SV));
