
function STONSV = SatVerk( n, maksimi);
%satunnaisverkon arvonta (tasainen): function STONSV = SatVerk( n, maksimi);
%	miss
%	n	= solmujen mr
%	maksimi	= optionaalinen, jos esiintyy, tulkitaan
%		rinnakkaisten kaarten enimmismrksi,
%		oletusarvo = 1
%	Muodostaa suuntaamattoman satunnaisverkon STONSV.
%	Arpoo satunnaisen verkon, jossa rinnakkaisten kaarten mr on 
%	jakautunut tasaisesti vlille [0 maksimi]; lopuksi symmetrisointi.

%	Martti E. Pesonen 25.9.2000

%rand('uniform');
if (nargin == 1) maksimi = 1; end		% oletusarvo: 0 tai 1
SV = round((maksimi+1) * rand(n) - 0.5);	% satunnaisverkko
STONSV = tril(SV) + tril(SV)' - diag(diag(SV));	% symmetrisointi
