
function PiirNuo2(M, alkioparit, vari);
%piirtofunktioita 2:	function PiirNuo2(M, alkioparit, vari);
%	miss
%	M		= relaation 0-1-matriisi
%	alkioparit	= alkiopari muodossa [x1 y1; x2 y2;...;xk yk]
%	vari		= optionaalinen, piirtovri,
%				oletusarvo '-r' = punainen viiva
%	Piirt nuolet janoiksi  x -- y.
%	Relaation tulee olla mritelty jossakin joukossa  X x Y. 
%	Jos relaatio on mritelty joukossa X x X, 
%		voi piirt mys funktiolla 'PiirNuo1'.

%	Martti E. Pesonen 23.5.1991  17.9.2000 ja 26.10.2004

M = logical(M);
oletusvari = '-r';
vasen = -1.5; oikea = 1.5; ala = -1.3; yla = 1.3; keski = 0;
x1siirto = -0.2; x2siirto = +0.1; ysiirto = -0.05;
if (nargin < 3)  vari = oletusvari;  end	% oletusvri punainen
[n,m]  = size(M);
X1 = vasen * ones(1,n); X2 =  oikea * ones(1,m);
if (n == 1)  Y1 = keski; else,	Y1 =  yla - (yla-ala)/(n-1) * (0:n-1); end
if (m == 1)  Y2 = keski; else,	Y2 =  yla - (yla-ala)/(m-1) * (0:m-1); end
plot([vasen; oikea], [Y1(alkioparit(:,1)); Y2(alkioparit(:,2))], vari)
