
function TULOS = Tarkastu(M, tulostus);
%tarkastaa relaation matriisin kelpoisuuden: function TULOS = Tarkastu(M, tulostus);
%	miss
%	M	= tarkastettava relaation matriisi
%	tulostus	= optionaalinen, jokin merkkijono, esim. ''
%				esiintyminen aiheuttaa tiedon tulostamisen tekstin
%	Tarkastaa, onko matriisi kelvollinen vai ei, ts.
%	onko kyseess matriisi, jonka alkiot ovat nollia tai ykksi.
%	TULOS = 0, jos ei ole kelvollinen
%	TULOS = 1, jos matriisi on kelvollinen relaation matriisiksi.

%	Martti E. Pesonen 24.5.1991, 11.9.2000, 26.10.2004

TULOS = 0;
epatyhja = ~isempty(M);
if epatyhja
  [n,m]		= size(M);
  nelio		= (n == m);
  nollayksi	= all(all(M == M.^2));
  TULOS		= nollayksi;
end
if  (nargin == 2)
  if ~epatyhja
    disp('Relaation matriisi ei saa olla tyhj.');
   else
    if ~nollayksi
      disp('Relaation matriisissa saa olla vain nollia ja ykksi.')
     else
      if ~nelio
        disp('Kahden joukon vlinen relaatio.')
      end
    end
  end
end
