function TRS = TrSulk(M);
%transitiivinen sulkeuma:	function TRS = TrSulk(M);
%	miss
%	M = relaation nelimuotoinen 0-1-matriisi
%	Laskee relaation transitiivisen sulkeuman.
%	Kydn kaikki alkiot lpi:
%	jos i R j, niin i TRS k kaikilla k, joille j TRS k.
%	Vrt. TrSulk2.m, joka on hitaampi.

%	Martti E. Pesonen 7.2.1991 ja 26.9.2000 ja 27.10.2004

[m,n] = size(M);
if (m == n)
TRS = logical(M);
for j = 1:n           % kydn matriisin luvut lpi sarakkeittain
  for i = 1:n         % ylhlt alas, vasemmalta oikealle
    if  (TRS(i,j) == 1) % jos nuoli  i --> j, yhdistetn i nuolella
      TRS(i,:) = TRS(i,:) | TRS(j,:); % kaikkiin niihin, joihin j:st on nuoli
    end;
  end; 
end;
else disp('relaation matriisin pit tss olla nxn')
end;
