
function  PiirSolm( M, solmut, vari);
%piirto, suuntaamattoman verkon solmut:	function PiirSolm( M, solmut, vari);
%	miss
%	M	= verkon (symmetrinen) matriisi
%	solmut	= solmuvektori
%	vari	= optionaalinen, piirtovri
%		oletusvri = valkoinen rinkula o
%	Suuntaamattomalle verkolle.
%	Piirt solmut tasavlein vastapivn yksikkympyrn kehlle,
%	1. solmu 90 asteen kulmaan positiivisen x-akselin suhteen.

%	Martti E. Pesonen 25.5.1991 ja 25.9.2000

oletusvari = 'ow'; ympsade = 1; numetkerr = (ympsade + 0.2)/ympsade;
if (nargin < 3) vari = oletusvari; end
n = max(size(M));
kulmat = ((1:n) - 1) * (2*pi)/n + pi/2;
xt = ympsade*cos(kulmat);
yt = ympsade*sin(kulmat);
for i = solmut
	plot( xt(i), yt(i), vari)
	text( numetkerr*xt(i), numetkerr*yt(i), int2str(i),'FontSize',16)
end
